scala.tools.nsc.backend.jvm.BTypes

# InnerClassEntry

#### case class InnerClassEntry(name: String, outerName: String, innerName: String, flags: Int) extends Product with Serializable

This class holds the data for an entry in the InnerClass table. See the InnerClass summary above in this file.

There's some overlap with the class NestedInfo, but it's not exactly the same and cleaner to keep separate.

name

  The internal name of the class.

outerName

  The internal name of the outer class, may be null.

innerName

  The simple name of the inner class, may be null.

flags

  The flags for this class in the InnerClass entry.

Source
  BTypes.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. InnerClassEntry
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new InnerClassEntry(name: String, outerName: String, innerName: String, flags: Int)

   name

     The internal name of the class.

   outerName

     The internal name of the outer class, may be null.

   innerName

     The simple name of the inner class, may be null.

   flags

     The flags for this class in the InnerClass entry.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from InnerClassEntry to any2stringadd[InnerClassEntry] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (InnerClassEntry, B)

   Implicit information
     This member is added by an implicit conversion from InnerClassEntry to ArrowAssoc[InnerClassEntry] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (InnerClassEntry) ⇒ Boolean, msg: ⇒ Any): InnerClassEntry

   Implicit information
     This member is added by an implicit conversion from InnerClassEntry to Ensuring[InnerClassEntry] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (InnerClassEntry) ⇒ Boolean): InnerClassEntry

   Implicit information
     This member is added by an implicit conversion from InnerClassEntry to Ensuring[InnerClassEntry] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): InnerClassEntry

    Implicit information
      This member is added by an implicit conversion from InnerClassEntry to Ensuring[InnerClassEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): InnerClassEntry

    Implicit information
      This member is added by an implicit conversion from InnerClassEntry to Ensuring[InnerClassEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### val flags: Int

    The flags for this class in the InnerClass entry.

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from InnerClassEntry to StringFormat[InnerClassEntry] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### val innerName: String

    The simple name of the inner class, may be null.

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val name: String

    The internal name of the class.

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### val outerName: String

    The internal name of the outer class, may be null.

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### def →[B](y: B): (InnerClassEntry, B)

    Implicit information
      This member is added by an implicit conversion from InnerClassEntry to ArrowAssoc[InnerClassEntry] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from InnerClassEntry to any2stringadd[InnerClassEntry]

### Inherited by implicit conversion StringFormat from InnerClassEntry to StringFormat[InnerClassEntry]

### Inherited by implicit conversion Ensuring from InnerClassEntry to Ensuring[InnerClassEntry]

### Inherited by implicit conversion ArrowAssoc from InnerClassEntry to ArrowAssoc[InnerClassEntry]

### Ungrouped